body {
    background-color: #0D1017;
    display: flex;
    margin: 0;
    background-image: url('/bg_full.png');
    background-size: cover;
    background-position: center;
    font-family:'Lexend Deca';
    position: relative;
    -webkit-user-select: none;
    -moz-user-select: none;   
    -ms-user-select: none;    
    user-select: none;        
    width: 100vw;
    height: 100vh;
  }
  .top_bar{
    position: absolute;
    top: 0;
    height: 130px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 0 40px;
    width: calc(100% - 80px);
    box-sizing: border-box;
    z-index: 2;
  }
  .top_bar .logo{
    width: 120px;
    height: 40px;
  }
  .top_bar .button_contact {
    position: relative;
    width: 126px;
    height: 50px;
    border-radius: 50px;
    border: 1px solid rgb(255, 255, 255, 0.3);
    color: white;
    font-size: 20px;
    font-weight: 500;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
  }
  .top_bar .button_contact:after {
    content: '';
    position: absolute;
    left: 20%;
    top: 0;
    right: 0;
    bottom: 0;
    width: 60%;
    border-bottom: 2px solid transparent; 
    border-image-source: linear-gradient(90deg, rgba(13, 197, 237, 0) -1.55%, #0DC5ED 54.89%, rgba(13, 197, 237, 0) 109.49%);
    border-image-slice: 1;
  }
  .typing_text_center {
    font-family: 'Lexend Deca', sans-serif;
    font-weight: normal;
    color: white;
    font-weight: 200;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    cursor: default;
  }
  .typing_text_center .ai{
    font-weight: 700;
    background: linear-gradient(145.23deg, #E3F7FF 14.28%, #0DC5ED 25.75%, #BE33FF 85.94%);
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent; /* 텍스트 색상을 투명하게 하여 배경이 보이도록 함 */
  }
  .typing_text_bottom {
    font-family: 'Lexend Deca', sans-serif;
    font-weight: 300;
    color: white;
    position: absolute;
    top: 85.64%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    cursor: default;
    width: 20.31%;
    text-align: left;
  }
  .typing_text_bottom .logo{
    width: 32%;
    opacity: 0; 
    transition: opacity 0.8s;
  }

  .scene_1_text{
    display: flex;
    flex-direction: column;
    align-items: center;
    align-content: center;
    justify-content: center;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1;
    gap: 3vw;
    width: 42%;
  }
  .scene_1_text .seconday{
    display: flex;
    justify-content: center;
    align-content: center;
  }
  .scene_1_text .seconday.first{
    align-items: flex-end;
    gap: 1.4vw;
  }
  .scene_1_text .seconday.second{
    align-items: flex-start;
    gap: 1.66vw;
  }

  .center {
    position: relative;
    transition: transform 1.5s ease-in-out; /* 부드러운 이동 효과 */
    transform: translate(-87%, 110%);
  }

  .d-none{
    display: none;
  }

  .scene_2_text{
    font-family: 'Lexend Deca';
    position: absolute;
    color: white;
    z-index: 1;
    display: flex;
    width: 100%;
    height: 100%;
    align-items: center;
    justify-content: space-between;
    padding: 3.125%;
    opacity: 0;
    font-weight: 500;
    transition: opacity 1s ease-in-out;
    display: none;
  }
  .scene_2_text.active{
    opacity: 1;
  }
  .scene_2_text.flex{
    display: flex;
  }
  .scene_2_text .left, .scene_2_text .right{
    display: flex;
    flex-direction: column;
    gap: 1.25vw;
    font-size: 1.04vw;
  }

  .scene_2_text .left{
    text-align: left;
  }
  .scene_2_text .right{
    text-align: right;
  }

  .scene_2_text .left .interface{
    color: #27A8E0;
  }

  .scene_2_text .left .risk_proof{
    color: #5849FF;
  }

  .scene_2_text .right .snap_repaint{
    color: #9900CC;
  }

  .scene_3_text{
    font-family: 'Lexend Deca';
    text-align: center;
    position: absolute;
    width: 100%;
    padding-top: 130px;
    z-index: 1;
    height: 100%;
    overflow: hidden;
    opacity: 0;

  }
  .scene_3_text.active{
    opacity: 1;
  }

  .scene_3_text img{
    opacity: 0;
    transition: opacity 2s ease-in-out;
    width: 25.31vw;
  }

  .scene_3_text img.active{
    opacity: 1;
  }

  .scene_3_text .swiper-container{
    width: 55.2%;
    margin: 4.69% auto auto;
    position: relative;
    overflow-x: hidden;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    overflow-y: hidden;
  }

  .scene_3_text .swiper-container .swiper-wrapper{
    display: flex;
    align-items: center;
  }

  .scene_3_text .swiper-container .swiper-slide{
    width: 26.04%;
    padding: 4%;
    border-radius: 40px;
    border: 1px solid rgba(255, 255, 255, 0.30);
    background: linear-gradient(180deg, rgba(215, 222, 239, 0.03) 14.17%, rgba(102, 125, 182, 0.10) 100%);
    opacity: 0;
  }

  .scene_3_text .swiper-container .swiper-slide.blur{
    animation: fadeInBlur 2s forwards;
  }
  .scene_3_text .swiper-container .swiper-slide.blur_delete{
    animation: fadeOutBlur 2s forwards;
  }
  @keyframes fadeInBlur {
    to {
      opacity: 1;
      backdrop-filter: blur(15px);
    }
  }
  @keyframes fadeOutBlur {
    from{
      opacity: 1;
      backdrop-filter: blur(15px);
    }
    to {
      opacity: 0;
      backdrop-filter: blur(0px);
    }
  }

  .scene_3_text .swiper-container .swiper-slide-active{
    width: 37.5%;

  }

  .scene_3_text .swiper-container .swiper-slide .logo{
    width: 41.66%;
    margin: 4.86% auto;
  }
  .scene_3_text .swiper-container .swiper-slide .guide_text{
    color: rgba(255, 255, 255, 0.90);
    text-align: center;
    font-family: "NanumSquare Neo";
    font-size: 0.83vw;
    font-style: normal;
    font-weight: 400;
    line-height: 170%;
    letter-spacing: -0.64px;
  }


  .scene_3_text .button-prev{
    width: 8.33%;
    position: absolute;
    top: 58.33%;
    left: 3.02%;
    color: #FFF;
    text-align: right;
    -webkit-text-stroke-width: 1;
    -webkit-text-stroke-color: rgba(0, 0, 0, 0.50);
    font-family: "Lexend Deca";
    font-size: 0.73vw;
    font-style: normal;
    font-weight: 400;
    line-height: 100%;
    letter-spacing: -0.56px;
    text-align: right;
    cursor: pointer;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    transition: opacity 2s ease-in-out;
    opacity: 0;
  }
  .scene_3_text .button-next{
    width: 8.33%;
    position: absolute;
    top: 58.33%;
    right: 3.02%;
    color: #FFF;
    text-align: right;
    -webkit-text-stroke-width: 1;
    -webkit-text-stroke-color: rgba(0, 0, 0, 0.50);
    font-family: "Lexend Deca";
    font-size: 0.73vw;
    font-style: normal;
    font-weight: 400;
    line-height: 100%;
    letter-spacing: -0.56px;
    text-align: left;
    cursor: pointer;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    transition: opacity 2s ease-in-out;
    opacity: 0;
  }

  .scene_3_text .button-prev.active, .scene_3_text .button-next.active{
    opacity: 1;
  }

  .scene_3_text .button-next img{
    width: 75%;
    margin-left: auto;
  }
  .scene_3_text .button-prev img{
    width: 75%;
    margin-right: auto;
  }
  .scene_3_text .button-next span{
    margin-right: 14%;
  }
  .scene_3_text .button-prev span{
    margin-left: 14%;
  }

  .button-text {
    transition: opacity 0.5s ease-in-out;
    opacity: 0;
  }
  
  .button-text.active {
    opacity: 1;
  }

  .scene_3_text .swiper-pagination{
    color: var(--white, #FFF);
    -webkit-text-stroke-width: 1;
    -webkit-text-stroke-color: rgba(0, 0, 0, 0.50);
    font-family: "Lexend Deca";
    font-size: 14px;
    font-style: normal;
    font-weight: 600;
    line-height: 100%;
    letter-spacing: -0.56px;
    position: unset;
    margin-top: 24px;
    transition: opacity 2s ease-in-out;
    opacity: 0;
  }
  .scene_3_text .swiper-pagination.active{
    opacity: 1;
  }

  .scene_4_text{
    font-family: 'Lexend Deca';
    position: absolute;
    color: white;
    z-index: 1;
    display: flex;
    width: 100%;
    height: 100%;
    align-items: center;
    justify-content: center;
    opacity: 0;
    font-weight: 500;
    transition: opacity 1s ease-in-out;
    flex-direction: column;
    display: none;
  }
  .scene_4_text.active{
    opacity: 1;
  }
  .scene_4_text.flex{
    display: flex;
  }

  .scene_4_text .waiting{
    width: 47.23%;
    margin-top: 10vw;
  }

  .scene_4_text .company_profile{
    width: 250px;
    height: 60px;
    display: flex;
    text-align: center;
    align-items: center;
    justify-content: center;
    background: white;
    color: black;
    font-size: 20px;
    font-weight: bold;
    border-radius: 50px;
    cursor: pointer;
    margin-top: 4vw;
  }

  .scene_4_text .email{
    width: 350px;
    height: 80px;
    display: flex;
    text-align: center;
    align-items: center;
    justify-content: center;
    background: black;
    color: white;
    font-size: 20px;
    font-weight: 400;
    border-radius: 50px;
    margin-top: 2vw;
  }

  .scene_4_text footer{
    width: 100vw;
    height: 100px;
    display: flex;
    text-align: center;
    align-items: center;
    justify-content: center;
    background: black;
    color: white;
    font-size: 11px;
    font-weight: 400;
    position: fixed;
    bottom: 0;
    gap: 60px;
  }
  .scene_4_text footer img{
    width: 122px;
  }

  .scene_4_text footer .section{
    text-align: left;
    gap: 6px;
    display: flex;
    flex-direction: column;
  }

  .icon_down {
    display: block;
    font-size: 3rem;
    position: absolute;
    color: white;
    left: 50%;
    top: 80%;
    transform: translate(-50%);
    z-index: 1;
    display: block;
    width: 1em; 
    height: 1em;
    background-image: url('/arrow.png');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    opacity: 0;
    transition: opacity 2s ease-in-out;
  }
  .icon_down.active {
    opacity: 1;
    -webkit-animation: arrow infinite 1200ms;
    -o-animation: arrow infinite 1200ms;
    animation: arrow infinite 1200ms;
  }

  @keyframes arrow {
    0% {
      opacity: 0;
      transform: translateY(-20px) translateX(-50%);
    }
  
    20% {
      opacity: 1;
      transform: translateY(0px) translateX(-50%);
    }
  
    60% {
      transform: translateY(15px) translateX(-50%);
    }
  
    80% {
      opacity: 0;
      transform: translateY(25px) translateX(-50%);
    }
  
    100% {
      opacity: 0;
    }
  }

  @media (max-width: 720px) {
    .top_bar {
      height: 82px;
      width: calc(100% - 44px);
      margin: 0 22px;
    }
    .top_bar .logo {
      width: 84px;
      height: 28px;
    }
    .top_bar .button_contact {
      width: 87px;
      height: 30px;
      font-size: 14px;
    }
    .scene_1_text .seconday.second {
      gap: 0px;
      flex-direction: column;
    }
    #aipiens{
      margin: auto;
    }
   .scene_2_text .left, .scene_2_text .right{
      gap: 4.44vw;
      font-size: 3.33vw;
    }
    .scene_3_text img{
      width: 67.5vw;
    }

    .scene_3_text .swiper-pagination{
      margin-top: 20px;
    }

    .scene_3_text .button-prev {
      width: 30.83%;
      font-size: 2.77vw;
      top: 92.75%;
    }
    .scene_3_text .button-next {
      width: 30.83%;
      font-size: 2.77vw;
      top: 92.75%;
    }

    .scene_3_text .swiper-container {
      width: 81.11%;
      margin: 16.7% auto auto;
    }
    .scene_3_text .swiper-container .swiper-slide {
      padding: 13.69% 5.3%;
      border-radius: 25px;
    }

    .scene_3_text .swiper-container .swiper-slide .logo {
      width: 78.76%;
      margin: 9.25% auto;
    }
    .scene_3_text .swiper-container .swiper-slide .guide_text{
      font-size: 3.61vw;
      letter-spacing: -0.52px;
    }
    .scene_3_text{
      padding-top: 82px;
    }
    .scene_4_text .waiting{
      width: 82%;
    }
    .scene_4_text .company_profile {
      margin-top: 25vw;
      font-size: 16px;
    }
    .scene_4_text footer {
      width: 100vw;
      height: 157px;
      display: flex;
      text-align: center;
      align-items: flex-start;
      justify-content: center;
      background: black;
      color: white;
      font-size: 11px;
      font-weight: 400;
      position: fixed;
      bottom: 0;
      gap: 20px;
      padding: 30px 20px;
      flex-direction: column;
    }
  }